MediaWiki:Gadget-Tooltip.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
 
(15 intermediate revisions by the same user not shown)
Line 2: Line 2:
/* Force disable default hover tooltip on mobile and enable the toggle */
/* Force disable default hover tooltip on mobile and enable the toggle */
.skin-minerva .hover-tooltip { display: none; }
.skin-minerva .hover-tooltip { display: none; }
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle { display: none !important; }


/* Colors */
/* Colors */
:root .wgl-darkmode, :root .wgl-theme-dark {
.skin-vector-legacy.wgl-darkmode, .skin-vector-legacy.wgl-theme-dark { --tooltip-bg: #0c0c0cd6; }
--tooltip-bg: #0c0c0cd6;
.skin-vector-legacy.wgl-lightmode, .skin-vector-legacy.wgl-theme-light { --tooltip-bg: #ecececd6; }
}
.skin-minerva.wgl-lightmode, .skin-minerva.wgl-theme-light { --tooltip-bg: #0c0c0c; }
 
.skin-minerva.wgl-lightmode, .skin-minerva.wgl-theme-light { --tooltip-bg: #ececec; }
:root .wgl-lightmode, :root .wgl-theme-light {
--tooltip-bg: #ecececd6;
}


/** Text styling **/
/** Text styling **/
/* Override collapsible stylings */
/* Override collapsible stylings */
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle {
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-toggle {
padding: 0;
padding: 0;
border: none;
border: none;
Line 29: Line 25:
font-weight: normal;
font-weight: normal;
}
}
.text-tooltip { cursor: help; }
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-content,
.custom-tt-wrapper.hnaw-collapsible .custom-tt.mw-collapsible-toggle {
float: none !important;
display: inline-block !important;
}
 
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-default::before,
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-default::after {
content: "";
}
.custom-tt { cursor: help; }


/*** The tooltip's toggle version ***/
/*** The tooltip's toggle version ***/
Line 68: Line 74:


/* Bottom of Page Container (Mobile) */
/* Bottom of Page Container (Mobile) */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden) {
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-content {
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;
Line 88: Line 94:


/* Container header */
/* Container header */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-content:before {
content: "ⓘ Tooltip content:";
content: "ⓘ Tooltip content:";
display: block;
display: block;
Line 98: Line 104:


/* Tooltip surrogate toggle on container header */
/* Tooltip surrogate toggle on container header */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):after {
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-content:after {
content: "×" !important;
content: "×" !important;
position: fixed;
position: fixed;
Line 113: Line 119:
}
}


.hnaw-ee {
.hnaw-ee .oo-ui-popupWidget-body div,
.hnaw-ee .mw-collapsible-content.custom-tt {
text-align: left !important;
text-align: left !important;
}
}
Line 120: Line 127:
.custom-tt-wrapper .oo-ui-popupWidget-popup {
.custom-tt-wrapper .oo-ui-popupWidget-popup {
border: none;
border: none;
background-color: inherit;
background-color: transparent;
border-radius: inherit;
border-radius: none;
}
}


@keyframes extra-effect-appear {
@keyframes extra-effect-appear {
Line 136: Line 141:
}
}
}
}
e